#!/bin/bash



if [ -f resultado_nlloc.dat ]
then
  rm resultado_nlloc.dat
fi

if [ -f resultado_hyp1.3.dat ]
then
  rm resultado_hyp1.3.dat
fi

if [ -f resultado_basico.dat ]
then
  rm resultado_basico.dat
fi


ifort -o promediar_localizacion promediar_localizacion.f

cp ../basico/resultado_basico.dat .

cat ../basico/estaciones_usadas.dat > estaciones_usadas.dat

cat resultado_* > t1
etime=`tail -n 1 t1 | awk '{printf"%4s/%2s/%2s %2s:%2s:%2s\n",$5,$6,$7,$8,$9,$10}'`
echo $etime > etime.dat
head -n 1 t1 | awk '{print $5,$6,$7,$8,$9,$10}' > r23.dat
cp ../basico/resultado.dat res.dat
echo===========================
echo Mapa en GMT
echo===========================

# 109.3 km corresponden a 4.1 cm que es 1 grado en este mapa
# 109.3 km corresponden a 1.61 pulgadas
echo -84.054 09.938 > sjs.dat

gmtset        BASEMAP_TYPE PLAIN
echo -84.054 09.938 > sjs.dat
psbasemap -R-86.8/-81.8/7.0/11.7 -JM8.0 -B0/0 -P  -K -X0.3 -Y3.0 -V > p.ps
grdimage surf.grd -R -JM -Cfondo.cpt -X0 -Y0 -Igradients.grd -K  -O >> p.ps
pscoast -R -JM -N1/5 -N2/220/220/220 -W1 -X0 -K -Y0  -Df -B -O  -Lf-83.5/7.5/10.0/100.0 -G150/150/150 >> p.ps

psxy estaciones_usadas.dat -R -JM -W1 -St0.1 -Ggreen -O -K >> p.ps

echo "-86.6 7.815 11 0 0 1 Estaciones usadas para el c\337lculo:" > info.dat

if [ -f ../mw.dat ]
then
  cp ../mw.dat .
  mw=`cat mw.dat`
else
  mw="---"
  echo $mw > mw.dat
fi



pf=`grep "Depth            :" res.dat | awk '{printf"%4.1f\n", $3}'`
err_pro=`grep "Depth            :" res.dat | awk '{print $5}'`
elon=`grep "Longitude        :" res.dat | awk '{print $3}'`
err_lon=`grep "Longitude        :" res.dat | awk '{print $5}'`
elat=`grep "Latitude         :" res.dat | awk '{print $3}'`
err_lat=`grep "Latitude         :" res.dat | awk '{print $5}'`
rms=`grep "RMS Error        :" res.dat | awk '{print $4}'`

echo $rms > rms.dat
echo $err_pro > err_pro.dat




de=`awk '{a=sqrt((x0-$1)*(x0-$1)+(y0-$2)*(y0-$2));printf"%6.1f\n", a*109.3}' x0="$elon" y0="$elat" sjs.dat`

echo $elon $elat $pf $err_lon $err_lat > epi3.dat

echo "-86.6 7.7 11 0 0 1 Origen (UTC): " >> info.dat
echo "-85.0 7.7 11 0 1 3 " $etime  >> info.dat

echo "-86.6 7.6 11 0 0 1 Magnitud Momento (Mw)=" >> info.dat
echo "-85.0 7.6 11 0 0 3 " $mw  >> info.dat

echo "-86.6 7.5 11 0 0 1 Distancia de San Jos\345 (km)= " >> info.dat
echo "-85.0 7.5 11 0 0 3 " $de  >> info.dat

echo "-86.6 7.4 11 0 0 1 Profundidad (km)= " >> info.dat
echo "-85.0 7.4 11 0 0 3 " $pf "\234" $err_pro >> info.dat

echo "-86.6 7.3 11 0 0 1 Longitud= " >> info.dat
echo "-85.0 7.3 11 0 0 3 " $elon  "\234" $err_lon >> info.dat

echo "-86.6 7.2 11 0 0 1 Latitud= " >> info.dat
echo "-85.0 7.2 11 0 0 3 " $elat  "\234" $err_lat >> info.dat

echo "-86.6 7.1 11 0 0 1 Error RMS= " >> info.dat
echo "-85.0 7.1 11 0 0 3 " $rms >> info.dat



psxy -R -JM -W1 -S+0.35 -O -K epi3.dat >> p.ps
psxy -R -JM -W1 -Sc0.1 -Gyellow -O -K epi3.dat >> p.ps
psxy -R -JM -W1 -Sc0.16 -O -K epi3.dat >> p.ps
psxy -R -JM -W1 -Sc0.22 -O -K epi3.dat >> p.ps
psxy -R -JM -W1 -Sc0.28 -O -K epi3.dat >> p.ps
awk '{print $1,$2+0.12, 10, 0, 0, 2, "Epicentro"}' epi3.dat | pstext -R -JM -O -K >> p.ps

pstext -R -JM -O -K -G0 -W255/255/255O <<END>> p.ps
-81.85 7.08 12 0 1 3 Laboratorio de Ingenier\354a S\354smica (LIS-UCR)
END

pstext -R -JM -O -K -Ggreen -W0/0/0O/255/255/255o <<END>> p.ps
-81.83 11.58 12 0 1 3 EPICENTRO y MAGNITUD
END

psxy -R -JM -W1 -G255 -O -K <<END>> p.ps
-86.65 7.92
-84.95 7.92
-84.95 7.05
-86.65 7.05
-86.65 7.92
END


pstext -R -JM -O -K info.dat >> p.ps

psxy -R -JM -W1 -St0.113 -Ggreen -O -K <<END>> p.ps
-85.05 7.85
END

psxy -R -JM -O <<END>>p.ps
END

convert p.ps -crop 590x560+15+25 epicentro.png

display epicentro.png &



####################################################
####################################################
##                Mapa origen
####################################################
####################################################

(
echo "Creando mapa origen"
cp epi3.dat ../origen/epi.dat
cp mw.dat ../origen
cd ../origen
modelo2.sh > salida.modelo.dat &
)

(
echo "Calculando distancias epicentrales"
cp epi3.dat ../distancias/epi.dat
cd ../distancias
calcular_distancia.sh
display lugares_cercanos.png &
)


echo "Calculando el tiempo origen"
fecha_origen.sh



#####################################################
#####################################################
###                Mapa detalle
#####################################################
#####################################################

e1=`awk '{print $1-0.25}' epi3.dat`
e2=`awk '{print $1+0.25}' epi3.dat`
e3=`awk '{print $2-0.25}' epi3.dat`
e4=`awk '{print $2+0.25}' epi3.dat`


psbasemap -R$e1/$e2/$e3/$e4 -JM7.8 -B0/0 -P  -K -X0.3 -Y2.0 -V > p.ps
pscoast -R -JM -N1/5 -N2/8/255/255/255 -W2 -X0 -Y0 -B -Df -O  -K -Lfx6.9/0.8/10.0/10.0 -Glightbrown -S0/149/255  >> p.ps
psxy  /usr/local/gmt/fallas/*.falla -R -JM -B -O -K -W4/red >> p.ps

psxy -O -JM -R  -W7/0/0/0 -m# /usr/local/gmt/calles/calles_primarias -K >> p.ps
psxy -O -JM -R  -W4/50/50/50 -m# /usr/local/gmt/calles/calles_secundarias -K >> p.ps
awk -F\; '{print $1,$2}' /usr/local/gmt/lugares/cantones_parciales.dat  | psxy -R -JM -O -K -G70 -Ss0.09 >> p.ps



#Dibuja resultado combinado
awk '{print $1+0.001,$2+0.001}' epi3.dat | psxy -R -JM  -Sa0.34 -G0 -O -K >> p.ps
psxy -R -JM -W3 -Sa0.34 -Gred -O -K epi3.dat >> p.ps

#Metodo basico
psxy -R -JM -W6,black -Sa0.34 -O -K ../basico/epi.dat >> p.ps
#Metodo Hypoinverse
psxy -R -JM -W6,blue -Sa0.34 -O -K ../hyp1.3/epi.dat >> p.ps

r1=`awk '{print $1+0.242}' epi3.dat`
r2=`awk '{print $2+0.235}' epi3.dat`
pstext -R -JM -O -K -Ggreen -W0/0/0O <<END>> p.ps
$r1 $r2 14 0 1 3 Mejores estimaciones usando programas distintos
END


r1=`awk '{print $1+0.242}' epi3.dat`
r2=`awk '{print $2-0.24}' epi3.dat`
pstext -R -JM -O -K -G0 -W255/255/255O <<END>> p.ps
$r1 $r2 12 0 1 3 Laboratorio de Ingenier\354a S\354smica (LIS-UCR)
END

r1=`awk '{print $1-0.24}' epi3.dat`
r2=`awk '{print $2-0.24}' epi3.dat`
pstext -R -JM -O -K -G0 -W255/255/255O <<END>> p.ps
$r1 $r2 14 0 1 1 Metodos BASICO + HYP1.3
END

psxy -R -JM -O  <<END>> p.ps
END
convert p.ps -crop 575x585+15+70 -quality 100 mapa_error.jpg

display mapa_error.jpg &


rm .gmtcommands4
rm sjs.dat resultado_*.dat  res.dat nom.dat hor.dat info.dat mw.dat

